zenilib: zenilib/jni/external/libvorbis/vq/metrics.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
metrics.c File Reference
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <math.h>`
`#include "bookutil.h"`

Go to the source code of this file.

## Functions

static float | _dist (int el, float *a, float *b)
static float * | _now (codebook *c, int i)
void | cell_spacing (codebook *c)
float | process_one (codebook *b, int book, float *a, int dim, int step, int addmul, float base)
void | process_postprocess (codebook **bs, char *basename)
void | process_preprocess (codebook **bs, char *basename)
void | process_usage (void)
void | process_vector (codebook **bs, int *addmul, int inter, float *a, int n)

## Variables

float | bits =0.f
int | books =0
float | count =0.f
float ** | histogram =NULL
float ** | histogram_error =NULL
float ** | histogram_errorsq =NULL
float ** | histogram_hi =NULL
float ** | histogram_lo =NULL
float | meanamplitude_acc =0.f
float | meanamplitudesq_acc =0.f
float | meanerror_acc =0.f
float | meanerrorsq_acc =0.f

## Function Documentation

static float _dist | ( | int | el,
|  | float * | a,
|  | float * | b
| ) |  |

static

Definition at line 83 of file metrics.c.

References i.

Referenced by cell_spacing().

static float* _now | ( | codebook * | c,
|  | int | i
| ) |  |

static

Definition at line 52 of file metrics.c.

References codebook::c, static_codebook::dim, and codebook::valuelist.

Referenced by _vqgen_seed(), cell_spacing(), vqgen_cellmetric(), vqgen_iterate(), vqgen_quantize(), and vqgen_unquantize().

void cell_spacing | ( | codebook * | c | ) |

Definition at line 93 of file metrics.c.

References _dist(), _now(), codebook::c, static_codebook::dim, static_codebook::entries, j, k, static_codebook::lengthlist, max, and min.

Referenced by process_postprocess().

float process_one | ( | codebook * | b,
|  | int | book,
|  | float * | a,
|  | int | dim,
|  | int | step,
|  | int | addmul,
|  | float | base
| ) |  |

Definition at line 209 of file metrics.c.

References books, codebook::c, error, fabs(), histogram, histogram_error, histogram_errorsq, histogram_hi, histogram_lo, j, meanamplitude_acc, meanamplitudesq_acc, meanerror_acc, meanerrorsq_acc, static_codebook::q_sequencep, vorbis_book_besterror(), and vorbis_book_codelen().

Referenced by process_vector().

void process_postprocess | ( | codebook ** | bs,
|  | char * | basename
| ) |  |

Definition at line 125 of file metrics.c.

References books, codebook::c, cell_spacing(), static_codebook::dim, static_codebook::entries, histogram, histogram_error, histogram_errorsq, histogram_hi, histogram_lo, i, k, meanamplitude_acc, meanamplitudesq_acc, meanerror_acc, meanerrorsq_acc, and codebook::valuelist.

void process_preprocess | ( | codebook ** | bs,
|  | char * | basename
| ) |  |

Definition at line 58 of file metrics.c.

References _ogg_calloc, books, codebook::dim, codebook::entries, histogram, histogram_error, histogram_errorsq, histogram_hi, histogram_lo, and i.

void process_usage | ( | void |  | ) |

Definition at line 283 of file metrics.c.

void process_vector | ( | codebook ** | bs,
|  | int * | addmul,
|  | int | inter,
|  | float * | a,
|  | int | n
| ) |  |

Definition at line 262 of file metrics.c.

References books, codebook::dim, i, process_one(), and spinnit().

## Variable Documentation

float bits =0.f

Definition at line 49 of file metrics.c.

int books =0

Definition at line 56 of file metrics.c.

Referenced by floor1_encode(), floor1_inverse1(), process_one(), process_postprocess(), process_preprocess(), and process_vector().

float count =0.f

Definition at line 50 of file metrics.c.

float** histogram =NULL

Definition at line 44 of file metrics.c.

Referenced by process_one(), process_postprocess(), and process_preprocess().

float** histogram_error =NULL

Definition at line 45 of file metrics.c.

Referenced by process_one(), process_postprocess(), and process_preprocess().

float** histogram_errorsq =NULL

Definition at line 46 of file metrics.c.

Referenced by process_one(), process_postprocess(), and process_preprocess().

float** histogram_hi =NULL

Definition at line 47 of file metrics.c.

Referenced by process_one(), process_postprocess(), and process_preprocess().

float** histogram_lo =NULL

Definition at line 48 of file metrics.c.

Referenced by process_one(), process_postprocess(), and process_preprocess().

float meanamplitude_acc =0.f

Definition at line 39 of file metrics.c.

Referenced by process_one(), and process_postprocess().

float meanamplitudesq_acc =0.f

Definition at line 40 of file metrics.c.

Referenced by process_one(), and process_postprocess().

float meanerror_acc =0.f

Definition at line 41 of file metrics.c.

Referenced by process_one(), and process_postprocess().

float meanerrorsq_acc =0.f

Definition at line 42 of file metrics.c.

Referenced by process_one(), and process_postprocess().